# Method Image.ILBM.__decode()

Method __decode

  ```array`` __decode()`

Description

  Decodes an ILBM image structure down to chunks and

      ({int xsize,int ysize,      // 0: size of image drawing area
        string bitmapheader,      // 2: BMHD chunk
        void|string colortable,   // 3: opt. colortable chunk (CMAP)
        void|string colortable,   // 4: opt. colormode chunk (CAMG)
        string body,              // 5: BODY chunk
        mapping more_chunks})     // 6: mapping with other chunks

Returns

  the above array

Note

  May throw errors if the ILBM header is incomplete or illegal.